/*
 * (C) Copyright IBM Corp. 1997-1998  All rights reserved.
 *
 * US Government Users Restricted Rights Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 *
 * The program is provided "as is" without any warranty express or
 * implied, including the warranty of non-infringement and the implied
 * warranties of merchantibility and fitness for a particular purpose.
 * IBM will not be liable for any damages suffered by you as a result
 * of using the Program. In no event will IBM be liable for any
 * special, indirect or consequential damages or lost profits even if
 * IBM has been advised of the possibility of their occurrence. IBM
 * will not be liable for any third party claims against you.
 */

package com.ibm.xml.parser;

/**
 * The interface to process before parsing root element.
 *
 * @version 19980206
 * @author TAMURA Kent &lt;kent@trl.ibm.co.jp&gt;
 * @see com.ibm.xml.parser.Parser
 */

public interface PreRootHandler {
    /**
     *  This method is called by the parser after parsing DTD before parsing root eleemnt.
     * @param rootname a name of root element in the document
     * @see com.ibm.xml.parser.Parser#addPreRootHandler(com.ibm.xml.parser.PreRootHandler)
     * @see com.ibm.xml.parser.TXDocument#getDTD()
     * @see com.ibm.xml.parser.TXDocument#getRootName()
     */
    public void handlePreRoot(TXDocument doc, String rootname);
}

